<html>
    <body>
        <?php
        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        $abulan = ['01' => 'Januari', '02' => 'Februari', '03' => 'Maret', '04' => 'April', '05' => 'Mei', '06' => 'Juni', '07' => 'Juli', '08' => 'Agustus', '09' => 'September', '10' => 'Oktober', '11' => 'November', '12' => 'Desember'];
        $t_tglcetak = date('d', strtotime($tglcetak)) . " " . $abulan[date('m', strtotime($tglcetak))] . " " . date('Y', strtotime($tglcetak));        
        ?>
        <div>
            <table width="100%">
                <tr>
                    <td width="10%" style="text-align:center;"><img src="<?= $ar_pemda->s_logo ?>" width="50"></td>
                    <td style="text-align:center; padding-right: 10%;">
                        <span style="font-size:13pt;font-weight: BOLD;">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?></span><br>
                        <span style="font-size:15pt;font-weight: BOLD;"><?= strtoupper($ar_pemda->s_namainstansi); ?></span><br>
                        <span style="font-size:10pt;"><?= $ar_pemda->s_alamatinstansi; ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?></span>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" style="text-align: center;font-family:sans-serif;">
                    <h2>DAFTAR SURAT KETETAPAN PAJAK DAERAH DAN PEMBAYARAN<BR>PERIODE <?=date('Y', strtotime($tglcetak))?></h2>
                    
                    </td>
                </tr>
            </table>
            <table width="100%" cellpadding="3" class="font_sembilan" style="text-align: center">
                <tr style="background:#ccc;">
                    <th class="" width="3%" rowspan="2">
                        NO
                    </th>
                    <th rowspan="2" width="12%">
                        NO. DAN TANGGAL<BR>KETETAPAN
                    </th>
                    <th rowspan="2" width="10%">
                        NO. DAN NAMA<BR>REKENING
                    </th>
                    <th rowspan="2" width="10%">
                        NO. DAN NAMA<BR>WAJIB PAJAK
                    </th>
                    <th rowspan="2" width="10%">
                        MASA PAJAK<BR>TGL JTH TEMPO
                    </th>
                    <th colspan="2" width="10%">
                        NILAI
                    </th>
                    <th rowspan="2" width="11%">
                        NO. DAN TANGGAL<BR>SETORAN
                    </th>
                    <th rowspan="2" width="8%">
                        NILAI<BR>SETORAN
                    </th>
                    <th rowspan="2" width="11%">
                        KETERANGAN<BR>(NO DAN TGL STPD)
                    </th>
                    <th rowspan="2" width="8%">
                        NILAI<BR>SANSKI
                    </th>
                </tr>
                <tr style="background:#ccc;">
                    <th>
                        PAJAK
                    </th>
                    <th>
                        SANKSI
                    </th>
                </tr>
                <tr>
                    <th></th>
                    <th class="" colspan="8" style="text-align:left;">
                        <b><i><?=$ar_jenis['s_idjenis'].'. '.$ar_jenis['s_namajenis']?></i></u>
                    </th>
                </tr>
                <?php 
                $counter = 1;
                foreach ($data as $key => $v){ 
                    $jatuhtempo = $v['t_tgljatuhtempo'];
                    $tglsekarang = date('Y-m-d');

                    $ts1 = strtotime($jatuhtempo);
                    $ts2 = strtotime($tglsekarang);

                    $year1 = date('Y', $ts1);
                    $year2 = date('Y', $ts2);

                    $month1 = date('m', $ts1);
                    $month2 = date('m', $ts2);

                    $day1 = date('d', $ts1);
                    $day2 = date('d', $ts2);
                    if ($day1 < $day2) {
                        $tambahanbulan = 1;
                    } else {
                        $tambahanbulan = 0;
                    }

                    $jmlbulan = (($year2 - $year1) * 12) + ($month2 - $month1 + $tambahanbulan);
                    if ($jmlbulan > 24) {
                        $jmlbulan = 24;
                        $jmldenda = $jmlbulan * 2 / 100 * $v['t_jmlhpajak'];
                    } elseif ($jmlbulan <= 0) {
                        $jmlbulan = 0;
                        $jmldenda = $jmlbulan * 2 / 100 * $v['t_jmlhpajak'];
                    } else {
                        $jmldenda = $jmlbulan * 2 / 100 * $v['t_jmlhpajak'];
                    }

                    if($v['t_jenispajak'] == 4 || $v['t_jenispajak'] == 8){
                        $no_urut = str_pad($v['t_nopenetapan'], 5, "0", STR_PAD_LEFT).'/SKPD/'.str_pad($v['t_jenispajak'], 2, "0", STR_PAD_LEFT).'/'.$v['t_periodepajak'];
                        $tgl_pajak = date('d-m-Y', strtotime($v['t_tglpendataan']));
                    }else{
                        $no_urut = str_pad($v['t_nourut'], 5, "0", STR_PAD_LEFT).'/SPTPD/'.str_pad($v['t_jenispajak'], 2, "0", STR_PAD_LEFT).'/'.$v['t_periodepajak'];
                        $tgl_pajak = date('d-m-Y', strtotime($v['t_tglpendataan']));
                    }

                    $no_sspd = (!empty($v['t_tglpembayaran'])) ? str_pad($v['t_nopembayaran'], 5, "0", STR_PAD_LEFT).'/SSPD/'.str_pad($v['t_jenispajak'], 2, "0", STR_PAD_LEFT).'/'.date('Y', strtotime($v['t_tglpembayaran'])).'<br>'.date('d-m-Y', strtotime($v['t_tglpembayaran'])) : '';
                    $no_stpd = (!empty($v['t_tglbayardenda'])) ? str_pad($v['t_nostpd'], 5, "0", STR_PAD_LEFT).'/STPD/'.str_pad($v['t_jenispajak'], 2, "0", STR_PAD_LEFT).'/'.date('Y', strtotime($v['t_tglbayardenda'])).'<br>'.date('d-m-Y', strtotime($v['t_tglbayardenda'])) : '';
                    ?>
                <tr>
                    <td><?=$counter++?></td>
                    <td align="left"><?=$no_urut.'<BR>'.$tgl_pajak?></td>
                    <td align="left"><?=$v['korek'].'<br>'.$v['s_namakorek']?></td>
                    <td align="left"><?=$v['t_npwpdwp'].'<br>'.$v['t_namawp']?></td>
                    <td><?=date('d-m-Y', strtotime($v['t_masaawal'])) .' s.d. '. date('d-m-Y', strtotime($v['t_masaakhir'])).'<br>'.date('d-m-Y', strtotime($v['t_tgljatuhtempo']))?></td>
                    <td style="text-align:right;"><?=number_format($v['t_jmlhpajak'], 2, ',', '.')?></td>
                    <td style="text-align:right;"><?= number_format(round($jmldenda), 2, ',', '.')?></td>
                    <td align="left"><?=$no_sspd?></td>
                    <td style="text-align:right;"><?=number_format($v['t_jmlhpembayaran'], 2, ',', '.')?></td>
                    <td align="left"><?=$no_stpd?></td>
                    <td style="text-align:right;"><?=number_format($v['t_jmlhbayardenda'], 2, ',', '.')?></td>
                </tr>
                <?php 
                    $totalpiutang += $v['t_jmlhpajak'];
                    $totaldendapiutang += round($jmldenda);
                    $totalsetoran += $v['t_jmlhpembayaran'];
                    $totalsetorandenda += $v['t_jmlhbayardenda'];
                } ?>
                
                <tr>
                    <th style="text-align:center;" colspan="5">TOTAL</th>
                    <th style="text-align:right;"><?=number_format($totalpiutang, 2, ',', '.')?></th>
                    <th style="text-align:right;"><?=number_format($totaldendapiutang, 2, ',', '.')?></th>
                    <th></th>
                    <th style="text-align:right;"><?=number_format($totalsetoran, 2, ',', '.')?></th>
                    <th></th>
                    <th style="text-align:right;"><?=number_format($totalsetorandenda, 2, ',', '.')?></th>
                </tr>
            </table>
            <table width="100%" style="font-family:sans-serif;" class="font_sembilan">
                <tr>
                    <td style="width:30%;text-align:center;border:1px solid #fff;">
                        Mengetahui,<br>
                        <b><?=strtoupper($ar_mengetahui->s_jabatanpej)?>
                        <br><br><br><br>
                        <u><?=$ar_mengetahui->s_namapej?></u>
                        <br>
                        NIP. <?=$ar_mengetahui->s_nippej?></b>
                    </td>
                    <td style="border:1px solid #fff;"></td>
                    <td style="width:30%;text-align:center;border:1px solid #fff;">
                        <?= $ar_pemda->s_namaibukotakabkota. ', ' .$t_tglcetak ?>
                        <br><br>
                        <b><?=strtoupper($ar_diperiksa->s_jabatanpej)?>
                        <br><br><br><br>
                        <u><?=$ar_diperiksa->s_namapej?></u>
                        <br>
                        NIP. <?=$ar_diperiksa->s_nippej?></b>
                    </td>
                </tr>
            </table>
        </div>
        <htmlpagefooter name="MyCustomFooter">
        <table style="vertical-align: bottom; font-family:sans-serif;font-size: 7pt;" width="100%">
                <tbody>
                    <tr>
                            <!--<td width="33%"><span style="font-weight: bold; font-style: italic;">{DATE j-m-Y}</span></td>-->
                        <td style="font-style: italic;text-align: left;border: 1px solid #fff;" width="50%">Printed by SIMPATDA</td>
                        <td style="font-style: italic;text-align: right;border: 1px solid #fff;" width="50%">Halaman {PAGENO} dari {nbpg}</td>
                    </tr>
                </tbody>
            </table>
        </htmlpagefooter>
    </body>
</html>

<style type="text/css" media="print">
    table, th, td {
        font-family: sans-serif;
        border: 1px solid black;
        border-collapse: collapse;
    }
    .font_empatbelas {
        font-size: 14pt;
    }    
    @page{
        margin:40px 40px 50px 30px;
        /* ensure you append the header/footer name with 'html_' */
        header: html_MyCustomHeader; /* sets <htmlpageheader name="MyCustomHeader"> as the header */
        footer: html_MyCustomFooter; /* sets <htmlpagefooter name="MyCustomFooter"> as the footer */
    }
</style>